.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH UNICHROME __drivermansuffix__ __vendorversion__
.SH NAME
unichrome \- VIA Unichrome video driver
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qunichrome\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B unichrome
is an __xservername__ driver for VIA Unichrome integrated graphics.
.PP
The
.B unichrome
driver supports the following devices:
.nf
    VT3122:  CLE266 (CastleRock).
    VT7205:  KM400, KM400A, KN400, P4M800 (Unichrome).
    VT3108:  K8M800, K8N800, K8N800A (Unichrome Pro, aka Pro B).
    VT3118:  CN400, PM800, PM880, PN800 (Unichrome Pro A).
    VT3344:  CN700, VN800, P4M800Pro, P4M800CE (Unichrome Pro).
    VT3157:  CX700, CX700M, VX700, CX700-M2 (Unichrome Pro).
    VT3130:  K8M890 (Chrome9 IGP).
    VT3343:  P4M890, VN890 (Unichrome Pro).
    VT3371:  P4M900, VN896, CN896 (Chrome 9 HC IGP).
    VT1122:  VX800, VX820 (Chrome 9 HC3 IGP).
    VT5122:  VX855 (Chrome 9 HCM IGP) [UNRELEASED].
.fi
.PP
While all released hardware is available to the main developer of this driver,
actual driver support may vary.
.PP
This driver is being developed at http://unichrome.sourceforge.net/.
It is not endorsed or supported by VIA Technologies. For support, refer
to http://unichrome.sourceforge.net/ or unichrome-devel@lists.sf.net 
directly.

.PP
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to this
driver.
.PP
The following driver
.B options
are supported
.TP
.BI "Option \*qActiveDevice\*q \*q" string \*q
Specify the active device combination. Any string containing \*qCRT\*q,
\*qDFP\*q (for Digital Flat Panel), \*qTV\*q should be possible. The default
is to use everything that is detected. The driver tries to most ideally 
mix and match outputs between CRTCs (heads).
.TP
.BI "Option \*qSWCursor\*q \*q" boolean \*q
Disable the hardware cursor and use software cursor rendering instead.
.TP
.BI "Option \*qAccelMethod\*q \*q" string \*q
Select any of \*qNone\*q, \*qShadowFB\*q or \*qXAA\*q as an Acceleration
Method. The default is \*qXAA\*q.
.TP
.BI "Option \*qDirectFB\*q \*q" boolean \*q
Force Direct FB access for the CPU on or off. Default for non-HyperTransport
chipsets is whatever the BIOS set up. For K8M800 (VT3108), the default is
on.
.TP
.BI "Option \*qRotate\*q \*q" string \*q
Rotate the display either clockwise (\*qCW\*q) or counter clockwise (\*qCCW\*q).
Rotation is only supported unaccelerated.
.TP
.BI "Option \*qDisableVQ\*q \*q" boolean \*q
Disable or enable the use of VQ. VQ is enabled by default.
.TP
.BI "Option \*qDisableIRQ\*q \*q" boolean \*q
Disables Vblank IRQ. A workaround for some mainboards that have
problems with IRQs from the unichrome chip. With IRQ disabled,
DRI clients have no way to sync drawing to Vblank.

Note that the DRM in many linux kernels is broken, and this option will result
in a lock-up of your machine. This is due to an inconsistency between upstream
drm and the version in the linux kernel. While the upstream fix was there
since 2005, the kernel side was only put right with 2.6.24. So either use
upstream drm or linux 2.6.24 if you need this option.
.TP
.BI "Option \*qDisableCommandBuffer\*q \*q" boolean \*q
Disable the AGP Command Buffer functionality in DRM. This forces the 2D and 3D
acceleration to use direct register writing instead of the less cpu intensive
hardware command buffer.
.TP
.BI "Option \*qDisableCommandBufferFor2D\*q \*q" boolean \*q
This disables the use of the command buffer for 2D acceleration.
.TP
.BI "Option \*qUseDMACopy\*q \*q" boolean \*q
Use the DRM DMA blit to copy the Xv buffer to framebuffer, enabled per
default.

.SH "CRTC2 Specific Options"
CRTC2 is the second head of the unichrome. This allows seperate timing 
from the primary head, and also allows for scaling up a mode.

.BI "Option \*qCRTC2Scale\*q \*q"string \*q

.BI "Option \*qCRTC2HScale\*q \*q"string \*q

.BI "Option \*qCRTC2VScale\*q \*q"string \*q
.RS
These specify the type of scaling done, either \*qInterpolation\*q 
(default) or \*qDuplication\*q. The Option \*qCRTC2Scale\*q overrules 
both the options \*qCRTC2HScale\*q and \*qCRTC2VScale\*q.
.RE

.SH "CRT Specific Options"
With CRT we mean every monitor that's connected to the analog-out meant for
CRTs. This irrespective of whether this monitor is panel based or not. 
It is automatically enabled when a CRT is attached.

.TP
.BI "Option \*qCRTBandWidth\*q \*q" integer \*q
This specifies the maximum bandwidth a CRT allows and limits the mode's
dotclock. This integer value should be provided in kHz and should normally
range somewhere between 20000 and 300000. This information is usually
provided as part of DDC/EDID data and thus autodetected.

.SH "Panel Specific Options"
Unichromes can have directly connected panels or have separate LVDS 
encoders like the VT1631 and VT1636. Note that this differs from panels 
connected through the CRT or DVI (TMDS) outputs.

Panels are enabled on the basis of available hardware information (like 
pci-ids) .

.TP
.BI "Option \*qPanelSize\*q \*q" string \*q
Specify the size (width x height) of the LCD panel attached to the
system. Sizes 640x480, 800x600, 1024x768, 1280x1024, and 1400x1050
are supported. This shouldn't be required as this usually is a BIOS
initialised value.


.SH "Supported TV Encoders"
Unichromes tend to be paired with several different TV Encoders. The presence
of these TV encoders is detected. They are automatically enabled when a TV is
attached.

.SS "Chrontel CH7011"
Supports the following modes: \*q640x480\*q, \*q800x600\*q, \*q1024x768\*q.
Use \*q640x480Over\*q, \*q800x600Over\*q and \*q1024x768Over\*q for vertical
overscan. These modes are made available by the driver and modelines provided
in __xconfigfile__ will be ignored when the TV encoder is used.

.TP
.BI "Option \*qTVOutput\*q \*q" string \*q
Specify which TV output to use. The driver supports \*qS-Video\*q,
\*qComposite\*q, \*qSC\*q, \*qRGB\*q and \*qYCbCr\*q outputs. The default is
to use the cable type that is detected.
.TP
.BI "Option \*qTVStandard\*q \*q" string \*q
Specify TV Standard. The CH7011 currently supports \*qNTSC\*q and
\*qPAL\*q.

.SS "VIA Technologies VT1622, VT1622A, VT1623"
Supports the following modes: \*q640x480\*q, \*q800x600\*q, \*q1024x768\*q,
\*q848x480\*q, \*q720x480\*q (NTSC only) and \*q720x576\*q (PAL only). Use
\*q640x480Over\*q, \*q800x600Over\*q, \*q1024x768Over\*q, \*q848x480Over\*q,
\*q720x480Over\*q (NTSC) and \*q720x576Over\*q (PAL) for vertical overscan.
The modes \*q720x480Noscale\*q (NTSC VT1622 only) and \*q720x576Noscale\*q
(PAL VT1622 and VT1622a only) provide cleaner TV output (unscaled with only minimal overscan).
These modes are made available by the driver and modelines provided in
__xconfigfile__ will be ignored when the TV encoder is used.

.TP
.BI "Option \*qTVDeflicker\*q \*q" integer \*q
Specify deflicker setting for TV output. Valid values are 0,1,2
0) No deflicker, 1) 1:1:1 deflicker, 2) 1:2:1 deflicker.
.TP
.BI "Option \*qTVDotCrawl\*q \*q" boolean \*q
Disable or enable dotcrawl. This is available for NTSC modes only.
.TP
.BI "Option \*qTVOutput\*q \*q" string \*q
Specify which TV output to use. The driver supports \*qS-Video\*q,
\*qComposite\*q, \*qSC\*q, \*qRGB\*q and \*qYCbCr\*q outputs. The default is
to use the cable type that is detected.
.TP
.BI "Option \*qTVStandard\*q \*q" string \*q
Specify TV Standard. The driver currently supports \*qNTSC\*q and
\*qPAL\*q.

.SH "XvMC Support"

This graphics driver supports MPEG2 Slice decoding for VT3122 and VT3108 through
the XvMC VLD interface. It provides its own X extension to be able to coordinate
the mpeg engine and the overlays working as a backend to XvMC-vld.

.TP
.BI "Option \*qXvMCBrokenXine\*q \*q" boolean \*q
The xine xxmc video_out module is broken in many ways, this is one of its issues.
When it exits with:
.nf

	 abort: video_out_xxmc.c:622: create_ximage: Aborting.

.fi
Then enable this option to fool this code into working just fine.

.SH "BUGS"
Plenty. Feel free to file more at the http://unichrome.sf.net/ bug tracker.
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.SH AUTHORS
Authors include: Luc Verhaegen (libv@skynet.be)
